# Class CIM_FibrePortOnFCAdapter
extends CIM_PortOnDevice

Note: The use of this method has been deprecated. Deprecated description: The use of FibrePortOnFCAdapter is deprecated because both FibrePort and FibreChannelAdapter have been deprecated. No replacement is needed because the 2 classes are combined into a single class. FibrePortOnFCAdapter associates a FibrePort with a FibreChannelAdapter.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_HostedDependency
|
+--CIM_PortOnDevice
|
+--CIM_FibrePortOnFCAdapter

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Deprecated | string | No value
Description | string | Note: The use of this method has been deprecated. Deprecated description: The use of FibrePortOnFCAdapter is deprecated because both FibrePort and FibreChannelAdapter have been deprecated. No replacement is needed because the 2 classes are combined into a single class. FibrePortOnFCAdapter associates a FibrePort with a FibreChannelAdapter.
UMLPackagePath | string | CIM::Device::NetworkAdapter
Version | string | 2.10.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_FibrePortOnFCAdapter | CIM_FibreChannelAdapter
Dependent | CIM_FibrePortOnFCAdapter | CIM_FibrePort

## Class Methods